From 60b2af6d57638c48925cd75ef7f353cd77fd893d Mon Sep 17 00:00:00 2001
From: Jiri Kubias <jiri.kubias@addat.cz>
Date: Fri, 25 Feb 2011 16:52:28 +0100
Subject: [PATCH 2/2] Added blink test for MCB1760 development board  with lpc17cmsis

---
 board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile    |   14 +++++++++
 .../arm/lpc17cmsis-mbed/test/mcb1760/Makefile.omk  |    3 ++
 board/arm/lpc17cmsis-mbed/test/mcb1760/main.c      |   31 ++++++++++++++++++++
 3 files changed, 48 insertions(+), 0 deletions(-)
 create mode 100644 board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile
 create mode 100644 board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile.omk
 create mode 100644 board/arm/lpc17cmsis-mbed/test/mcb1760/main.c

diff --git a/board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile b/board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile
new file mode 100644
index 0000000..76b56fd
--- /dev/null
+++ b/board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile
@@ -0,0 +1,14 @@
+# Generic directory or leaf node makefile for OCERA make framework
+
+ifndef MAKERULES_DIR
+MAKERULES_DIR := $(shell ( old_pwd="" ;  while [ ! -e Makefile.rules ] ; do if [ "$$old_pwd" = `pwd`  ] ; then exit 1 ; else old_pwd=`pwd` ; cd -L .. 2>/dev/null ; fi ; done ; pwd ) )
+endif
+
+ifeq ($(MAKERULES_DIR),)
+all : default
+.DEFAULT::
+	@echo -e "\nThe Makefile.rules has not been found in this or parent directory\n"
+else
+include $(MAKERULES_DIR)/Makefile.rules
+endif
+
diff --git a/board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile.omk b/board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile.omk
new file mode 100644
index 0000000..c7b0f44
--- /dev/null
+++ b/board/arm/lpc17cmsis-mbed/test/mcb1760/Makefile.omk
@@ -0,0 +1,3 @@
+# -*- makefile -*-
+bin_PROGRAMS = mcb1760_blink
+mcb1760_blink_SOURCES =  main.c
diff --git a/board/arm/lpc17cmsis-mbed/test/mcb1760/main.c b/board/arm/lpc17cmsis-mbed/test/mcb1760/main.c
new file mode 100644
index 0000000..da9d516
--- /dev/null
+++ b/board/arm/lpc17cmsis-mbed/test/mcb1760/main.c
@@ -0,0 +1,31 @@
+#include <LPC17xx.h>
+
+#define LED1 (1<<2)
+#define LED2 (1<<3)
+#define LED3 (1<<4)
+#define LED4 (1<<5)
+
+
+void delay(void)
+{
+  volatile unsigned int i = 50000;
+  while(--i);
+}
+
+int main(void)
+{
+  
+  
+  //LPC_PINCON->PINSEL3 &= ~(3 << 4);
+  LPC_GPIO2->FIODIR |=LED1;
+
+
+while(1)
+    {
+	delay();sdsdsd
+	LPC_GPIO2->FIOSET = LED1;
+	delay();
+	LPC_GPIO2->FIOCLR = LED1;
+    };
+
+}
-- 
1.7.3.4

